// WaveFFT.h: Schnittstelle für die Klasse CWaveFFT.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_WAVEFFT_H__323F20E0_9339_410F_8881_84F0C5AEC8A9__INCLUDED_)
#define AFX_WAVEFFT_H__323F20E0_9339_410F_8881_84F0C5AEC8A9__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CWaveFFT  
{
private:
	int		m_iSampleFrequency;
	__int16*m_piAnalysedData;
	bool	m_bWindow;
	int		m_iFFTSize;
	int*    m_piStopFreq;
	int		m_iNumStopFreq;
	int		m_iFFTStepWidth;
	int		m_iNumAnalyzedData;
	int		m_iAnalysedDataSize;

public:
	CWaveFFT();
	virtual ~CWaveFFT();
	void	Init(int SampleFrequency, int FFTSize, int FFTStefWidth, bool Window);
	void	SetStopFreq(int NumStopFreq, int* StopFreq);
	void	AnalyzeData(void* WaveData, int WaveSize);
	bool	LoadFromFile(char*  strFileName);
	void	SaveToFile(char*  strFileName);
	__int16* GetAnalysedData();
};

#endif // !defined(AFX_WAVEFFT_H__323F20E0_9339_410F_8881_84F0C5AEC8A9__INCLUDED_)
